Package org.eclipse.gef.common.collections

# Interface SetMultimapChangeListener<K,V>

Type Parameters:
  `K` - The key type of the `ObservableSetMultimap`.
  `V` - The value type of the `ObservableSetMultimap`.

public interface SetMultimapChangeListener<K,V>
A `SetMultimapChangeListener` is the notification target for changes related to an `ObservableSetMultimap`.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`SetMultimapChangeListener.Change<K,V>`
Represents an elementary change done to an `ObservableSetMultimap`, related to a single key but to potentially multiple values.

## Method Summary

Modifier and Type
Method
Description
`void`
`onChanged(SetMultimapChangeListener.Change<? extends K,? extends V> change)`
Called after a change has been made to an `ObservableSetMultimap`.

## Method Details

### onChanged

void onChanged(SetMultimapChangeListener.Change<? extends K,? extends V> change)
Called after a change has been made to an `ObservableSetMultimap`. This method is called whenever a change to a single key is performed. In case of complex operation like `Multimap.clear()` or `Multimap.putAll(Object, Iterable)` multiple invocations will occur.

Parameters:
  `change` - A `SetMultimapChangeListener.Change` object representing the changes that were performed on the source `ObservableSetMultimap`.